/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomLocation_H___INT_
#define __GdomLocation_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "Location.h"
namespace WebCore {
    gpointer toGDOM(Location* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMLocation : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_LOCATION; }
    GDOMLocation(PassRefPtr<WebCore::Location> impl);
    virtual ~GDOMLocation();
    WebCore::Location* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::Location> m_impl;
};
G_END_DECLS

#endif /* __GdomLocation_H___INT_*/
